function [alpha_pop] = gen_alpha(pp,bb,alpha,alpha0,sd,Npop,b_gperc)

loc_a = loc_alpha(pp,bb,alpha,alpha0,Npop,b_gperc);

xi=0.25;

PP=(0:(Npop-1))'/(Npop-1);

sig0 = (1-xi)*sqrt(1-2*xi)*pchip(sd(:,1),sd(:,2),PP);
sig1 = (1-xi)*sqrt(1-2*xi)*pchip(sd(:,1),sd(:,3),PP);

p1=(loc_a-sig0/(1-xi))./((1-sig1/(1-xi))-sig0/(1-xi));

v = binornd(1,min(max(p1,0),1));

r = min(gprnd(xi,[sig0 sig1],0),1);

alpha_pop = (1-v).*r(:,1)+v.*(1-r(:,2));